%define  upstream_name Mail
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.7.1
Release:	%mkrel 2
Summary:	The component allows you construct and/or parse Mail messages conforming to
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The component allows you construct and/or parse Mail messages conforming to

the mail standard. It has support for attachments, multipart messages and
HTML 
mail. It also interfaces with SMTP to send mail or IMAP, POP3 or mbox to 
retrieve e-mail.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Mail.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Mail.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Mail
fi

%files
%defattr(-,root,root)
%doc docs/Mail/*
%{peardir}/data/Mail/design/class_diagram.png
%{peardir}/data/Mail/design/design.txt
%{peardir}/data/Mail/design/mail.png
%{peardir}/data/Mail/design/mail.xml
%{peardir}/data/Mail/design/transport.png
%{peardir}/ezc/Mail/composer.php
%{peardir}/ezc/Mail/exceptions/invalid_limit.php
%{peardir}/ezc/Mail/exceptions/mail_exception.php
%{peardir}/ezc/Mail/exceptions/no_such_message.php
%{peardir}/ezc/Mail/exceptions/offset_out_of_range.php
%{peardir}/ezc/Mail/exceptions/transport_exception.php
%{peardir}/ezc/Mail/exceptions/transport_smtp_exception.php
%{peardir}/ezc/Mail/interfaces/part.php
%{peardir}/ezc/Mail/interfaces/transport.php
%{peardir}/ezc/Mail/internal/charset_convert.php
%{peardir}/ezc/Mail/internal/header_folder.php
%{peardir}/ezc/Mail/mail.php
%{peardir}/ezc/Mail/mail_autoload.php
%{peardir}/ezc/Mail/options/composer_options.php
%{peardir}/ezc/Mail/options/imap_options.php
%{peardir}/ezc/Mail/options/imap_set_options.php
%{peardir}/ezc/Mail/options/mail_options.php
%{peardir}/ezc/Mail/options/parser_options.php
%{peardir}/ezc/Mail/options/pop3_options.php
%{peardir}/ezc/Mail/options/smtp_options.php
%{peardir}/ezc/Mail/options/transport_options.php
%{peardir}/ezc/Mail/parser/headers_holder.php
%{peardir}/ezc/Mail/parser/interfaces/parser_set.php
%{peardir}/ezc/Mail/parser/interfaces/part_parser.php
%{peardir}/ezc/Mail/parser/parser.php
%{peardir}/ezc/Mail/parser/parts/delivery_status_parser.php
%{peardir}/ezc/Mail/parser/parts/file_parser.php
%{peardir}/ezc/Mail/parser/parts/multipart_alternative_parser.php
%{peardir}/ezc/Mail/parser/parts/multipart_digest_parser.php
%{peardir}/ezc/Mail/parser/parts/multipart_mixed_parser.php
%{peardir}/ezc/Mail/parser/parts/multipart_parser.php
%{peardir}/ezc/Mail/parser/parts/multipart_related_parser.php
%{peardir}/ezc/Mail/parser/parts/multipart_report_parser.php
%{peardir}/ezc/Mail/parser/parts/rfc822_digest_parser.php
%{peardir}/ezc/Mail/parser/parts/rfc822_parser.php
%{peardir}/ezc/Mail/parser/parts/text_parser.php
%{peardir}/ezc/Mail/parser/rfc2231_implementation.php
%{peardir}/ezc/Mail/parser/shutdown_handler.php
%{peardir}/ezc/Mail/parts/delivery_status.php
%{peardir}/ezc/Mail/parts/file.php
%{peardir}/ezc/Mail/parts/fileparts/disk_file.php
%{peardir}/ezc/Mail/parts/fileparts/stream_file.php
%{peardir}/ezc/Mail/parts/fileparts/virtual_file.php
%{peardir}/ezc/Mail/parts/multipart.php
%{peardir}/ezc/Mail/parts/multiparts/multipart_alternative.php
%{peardir}/ezc/Mail/parts/multiparts/multipart_digest.php
%{peardir}/ezc/Mail/parts/multiparts/multipart_mixed.php
%{peardir}/ezc/Mail/parts/multiparts/multipart_related.php
%{peardir}/ezc/Mail/parts/multiparts/multipart_report.php
%{peardir}/ezc/Mail/parts/rfc822_digest.php
%{peardir}/ezc/Mail/parts/text.php
%{peardir}/ezc/Mail/structs/content_disposition_header.php
%{peardir}/ezc/Mail/structs/mail_address.php
%{peardir}/ezc/Mail/structs/walk_context.php
%{peardir}/ezc/Mail/tools.php
%{peardir}/ezc/Mail/transports/file/file_set.php
%{peardir}/ezc/Mail/transports/imap/imap_set.php
%{peardir}/ezc/Mail/transports/imap/imap_transport.php
%{peardir}/ezc/Mail/transports/mbox/mbox_set.php
%{peardir}/ezc/Mail/transports/mbox/mbox_transport.php
%{peardir}/ezc/Mail/transports/mta/mta_transport.php
%{peardir}/ezc/Mail/transports/mta/transport_mta.php
%{peardir}/ezc/Mail/transports/pop3/pop3_set.php
%{peardir}/ezc/Mail/transports/pop3/pop3_transport.php
%{peardir}/ezc/Mail/transports/smtp/smtp_transport.php
%{peardir}/ezc/Mail/transports/smtp/transport_smtp.php
%{peardir}/ezc/Mail/transports/storage/storage_set.php
%{peardir}/ezc/Mail/transports/transport_connection.php
%{peardir}/ezc/Mail/transports/variable/var_set.php
%{peardir}/ezc/autoload/mail_autoload.php
%{xmldir}/Mail.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 349931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 spuhler <spuhler> 1.7.1-1.mga2
+ Revision: 125036
- imported package ezcomponents-Mail

